> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Normalize

> Normalize a raw job title string to the best matching INOP title

Normalize a raw job title string to the best matching INOP title


## OpenAPI

````yaml POST /titles/normalize
openapi: 3.1.0
info:
  title: INOP
  description: >-
    INOP API provides a powerful suite of endpoints designed to streamline and
    enhance the candidate screening process using AI-driven insights.
  license:
    name: MIT
    identifier: ''
  version: 1.0.0
servers:
  - url: https://public.api.inop.ai/v1/
security:
  - bearerAuth: []
paths:
  /titles/normalize:
    post:
      description: Normalize a raw job title string to the best matching INOP title
      requestBody:
        description: normalize unstructured job title
        content:
          application/json:
            schema:
              type: object
              properties:
                term:
                  type: string
                  default: Data scientist in Remote (EU)
        required: true
      responses:
        '200':
          description: Normalized job title
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  messages:
                    type: string
                    default: Normalized job title
                  data:
                    type: object
                    default:
                      id: d1ae83a0-0bd2-5354-8c0e-1eefbbe1131e
                      name: Data Scientist
                      confidence: 1
                      job_levels: []
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````